<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- typescript-module.qdoc -->
  <title>typescript QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">typescript QML Type</h1>
<span class="subtitle"></span>
<!-- $$$typescript-brief -->
<p>Provides <a href="http://www.typescriptlang.org">TypeScript</a> support. <a href="#details">More...</a></p>
<!-- @@@typescript -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.3</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-typescript-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#compilerFlags-prop">compilerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#compilerName-prop">compilerName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#compilerPath-prop">compilerPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#generateDeclarations-prop">generateDeclarations</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#generateSourceMaps-prop">generateSourceMaps</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#moduleLoader-prop">moduleLoader</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#singleFile-prop">singleFile</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#stripComments-prop">stripComments</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#targetVersion-prop">targetVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#toolchainInstallPath-prop">toolchainInstallPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#version-prop">version</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#versionBuild-prop">versionBuild</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#versionMajor-prop">versionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#versionMinor-prop">versionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#versionParts-prop">versionParts</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#versionPatch-prop">versionPatch</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-typescript.html#warningLevel-prop">warningLevel</a></b></b> : string</li>
</ul>
<!-- $$$typescript-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>typescript</code> module contains properties and rules for building <a href="http://www.typescriptlang.org">TypeScript</a> applications and may be used in combination with the <a href="qml-qbsmodules-nodejs.html">nodejs</a> module to run the applications directly from Qbs.</p>
<!-- @@@typescript -->
<h2>Property Documentation</h2>
<!-- $$$compilerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional flags for the <a href="http://www.typescriptlang.org">TypeScript</a> compiler.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@compilerFlags -->
<br/>
<!-- $$$compilerName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the compiler binary.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>&quot;tsc&quot;</code></p>
</div></div><!-- @@@compilerName -->
<br/>
<!-- $$$compilerPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The directory where the compiler binary is located.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>compilerName</code></p>
</div></div><!-- @@@compilerPath -->
<br/>
<!-- $$$generateDeclarations -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="generateDeclarations-prop">
<td class="tblQmlPropNode"><p>
<span class="name">generateDeclarations</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to generate the corresponding <code>.d.ts</code> files during compilation. These are <a href="http://www.typescriptlang.org">TypeScript</a>'s equivalent of header files.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@generateDeclarations -->
<br/>
<!-- $$$generateSourceMaps -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="generateSourceMaps-prop">
<td class="tblQmlPropNode"><p>
<span class="name">generateSourceMaps</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to generate the corresponding <code>.map</code> files during compilation.</p>
<p>Default: <a href="qml-qbsmodules-qbs.html#debugInformation-prop">qbs.debugInformation</a></p>
</div></div><!-- @@@generateSourceMaps -->
<br/>
<!-- $$$moduleLoader -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="moduleLoader-prop">
<td class="tblQmlPropNode"><p>
<span class="name">moduleLoader</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If <a href="http://www.typescriptlang.org">TypeScript</a> modules are being used, the JavaScript module loading mechanism to use in the generated JavaScript code.</p>
<p>If left undefined, modules are not used.</p>
<p>See <a href="http://www.typescriptlang.org/docs/handbook/compiler-options.html">Compiler Options</a> for a list of possible values.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@moduleLoader -->
<br/>
<!-- $$$singleFile -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="singleFile-prop">
<td class="tblQmlPropNode"><p>
<span class="name">singleFile</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to compile all <a href="http://www.typescriptlang.org">TypeScript</a> source files to a single JavaScript output file.</p>
<p>The default is to compile each <a href="http://www.typescriptlang.org">TypeScript</a> file to a corresponding JavaScript file. This property is incompatible with <a href="qml-qbsmodules-typescript.html">moduleLoader</a>.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@singleFile -->
<br/>
<!-- $$$stripComments -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="stripComments-prop">
<td class="tblQmlPropNode"><p>
<span class="name">stripComments</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to remove comments from the generated JavaScript files.</p>
<p>Default: <a href="qml-qbsmodules-qbs.html#debugInformation-prop">!qbs.debugInformation</a></p>
</div></div><!-- @@@stripComments -->
<br/>
<!-- $$$targetVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="targetVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">targetVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The ECMAScript target version for generated JavaScript code.</p>
<p>If left undefined, the <a href="http://www.typescriptlang.org">TypeScript</a> <a href="http://www.typescriptlang.org/docs/handbook/compiler-options.html">compiler default</a> is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@targetVersion -->
<br/>
<!-- $$$toolchainInstallPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="toolchainInstallPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">toolchainInstallPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> installation directory.</p>
<p>This property should not normally need to be changed if <code>tsc</code> is available by searching the PATH environment variable.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@toolchainInstallPath -->
<br/>
<!-- $$$version -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="version-prop">
<td class="tblQmlPropNode"><p>
<span class="name">version</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> version.</p>
<p>Consists of four numbers separated by dots. For example, &quot;1.0&#x2e;0&#x2e;0&quot;.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@version -->
<br/>
<!-- $$$versionBuild -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionBuild-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionBuild</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The fourth <a href="http://www.typescriptlang.org">TypeScript</a> version number component.</p>
<p>Default: <code>versionParts[3]</code></p>
</div></div><!-- @@@versionBuild -->
<br/>
<!-- $$$versionMajor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMajor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMajor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> major version.</p>
<p>Default: <code>versionParts[0]</code></p>
</div></div><!-- @@@versionMajor -->
<br/>
<!-- $$$versionMinor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMinor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMinor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> minor version.</p>
<p>Default: <code>versionParts[1]</code></p>
</div></div><!-- @@@versionMinor -->
<br/>
<!-- $$$versionParts -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionParts-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionParts</span> : <span class="type">list</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> version as a list.</p>
<p>For example, <a href="http://www.typescriptlang.org">TypeScript</a> version 1.0 would correspond to a value of <code>[1, 0, 0, 0]</code>.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@versionParts -->
<br/>
<!-- $$$versionPatch -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionPatch-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionPatch</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <a href="http://www.typescriptlang.org">TypeScript</a> patch level.</p>
<p>Default: <code>versionParts[2]</code></p>
</div></div><!-- @@@versionPatch -->
<br/>
<!-- $$$warningLevel -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="warningLevel-prop">
<td class="tblQmlPropNode"><p>
<span class="name">warningLevel</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The severity of warnings to emit. The higher the level, the more warnings will be shown.</p>
<p><code>pedantic</code> causes the <a href="http://www.typescriptlang.org">TypeScript</a> to emit warnings on expressions and declarations with an implied <i>any</i> type.</p>
<p>Default: <code>&quot;normal&quot;</code></p>
</div></div><!-- @@@warningLevel -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
